Skip to main content
POST
/
commerce
/
catalog
/
admin
/
products
/
{productCode}
/
changeproducttype
Error
A valid request URL is required to generate request examples
{
  "initialProductTypeId": 123,
  "productCode": "<string>",
  "status": "<string>",
  "targetProductTypeId": 123,
  "validationResults": [
    {
      "attributeFqn": "<string>",
      "code": 123,
      "message": "<string>",
      "severity": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

productCode
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json
ignoreDataLoss
boolean

When set to true any attributes or values that were set on the product that are not defined the target product type will be lost. When false, the process will stop without making updates if there are any conditions that would result in dataloss. Validation output will be returned. Defaults to false.

shouldFailFast
boolean | null

When true the validation will stop on the first error. Defaults to run all validation.

targetProductTypeId
integer<int32>

The target product type id to move the product to.

testMode
boolean | null

When set to true no updates will be made but the validation will return any warnings or failures. Defaults to false.

Response

Success

initialProductTypeId
integer<int32>
productCode
string | null
status
string | null
targetProductTypeId
integer<int32>
validationResults
object[] | null